loci.plugins

## Class LociImporter

- java.lang.Object
- - loci.plugins.LociImporter

- All Implemented Interfaces:
    ij.plugin.PlugIn

      public class LociImporter
      extends java.lang.Object
      implements ij.plugin.PlugIn

  ImageJ plugin for reading files using the OME Bio-Formats package. Wraps core logic in `Importer`, to avoid direct references to classes in the external Bio-Formats library.
  Author:
    Curtis Rueden ctrueden at wisc.edu, Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `canceled` Flag indicating whether last operation was canceled.
    `boolean` | `success` Flag indicating whether last operation was successful.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LociImporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run(java.lang.String arg)` Executes the plugin.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### success

          public boolean success

      Flag indicating whether last operation was successful. NB: This field must be updated properly, or the plugin will stop working correctly with HandleExtraFileTypes.

    - #### canceled

          public boolean canceled

      Flag indicating whether last operation was canceled. NB: This field must be updated properly, or the plugin will stop working correctly with HandleExtraFileTypes.

  - ### Constructor Detail

    - #### LociImporter

          public LociImporter()

  - ### Method Detail

    - #### run

          public void run(java.lang.String arg)

      Executes the plugin.
      Specified by:
        `run` in interface `ij.plugin.PlugIn`

Copyright © 2026 Open Microscopy Environment